 package org.sky.auth.service;

import org.sky.core.oauth2.provider.OAuth2Request;
import org.sky.core.oauth2.service.OAuth2Client;
import org.sky.core.oauth2.service.impl.OAuth2ClientDetailService;
import org.springframework.jdbc.core.JdbcTemplate;

/**
 * KdClientDetailService
 *
 * @author Chill
 */
public class KdClientDetailService extends OAuth2ClientDetailService {
	public KdClientDetailService(JdbcTemplate jdbcTemplate) {
		super(jdbcTemplate);
	}

	@Override
	public OAuth2Client loadByClientId(String clientId) {
		return super.loadByClientId(clientId);
	}

	@Override
	public OAuth2Client loadByClientId(String clientId, OAuth2Request request) {
		return super.loadByClientId(clientId, request);
	}

	@Override
	public boolean validateClient(OAuth2Client client, String clientId, String clientSecret) {
		return super.validateClient(client, clientId, clientSecret);
	}

	@Override
	public boolean validateGranter(OAuth2Client client, String grantType) {
		return super.validateGranter(client, grantType);
	}
}
